summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-08-09 23:19:27 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-08-09 23:39:41 +0200
commita520806d3657807c34ba35fd0d8fcadc4e0e85ea (patch)
tree244f31f38fff1a4fc5b7e2ee014d1770d290e9f9 /app-text/libwps
parentapp-office/libreoffice: Drop obsolete config option (diff)
downloadgentoo-a520806d3657807c34ba35fd0d8fcadc4e0e85ea.tar.gz
gentoo-a520806d3657807c34ba35fd0d8fcadc4e0e85ea.tar.bz2
gentoo-a520806d3657807c34ba35fd0d8fcadc4e0e85ea.zip
app-text/libwps: 0.4.10 version bump
Package-Manager: Portage-2.3.45, Repoman-2.3.10
Diffstat (limited to 'app-text/libwps')
-rw-r--r--app-text/libwps/Manifest1
-rw-r--r--app-text/libwps/libwps-0.4.10.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/app-text/libwps/Manifest b/app-text/libwps/Manifest
index 3df12475511..00580182a4b 100644
--- a/app-text/libwps/Manifest
+++ b/app-text/libwps/Manifest
@@ -1,2 +1,3 @@
+DIST libwps-0.4.10.tar.xz 695448 BLAKE2B ec26b6ccd918aa29d0df053b3e321b651e0c7142910009e0b50a89f88f4dba8f7e9e20f8962a7afb84497b533129d85eb5c7628aa7c64f2a57ce2976d5ff372f SHA512 e5a6155d9e59df226e72db5723ae7574d3f3fdc49bd64156e11f9d3715748fb919dd3d2ab83b6d5fb80c002e7d4ca12563f6ff80472a6485f374b037404acf83
DIST libwps-0.4.8.tar.xz 648512 BLAKE2B b446c9999ff0e760569daa52fd24e42af8cdda78f2c0bc77d26cc25957381456f045dde1eb4ec8bd7999de29f658d67b2a493fdeacde4faa12a00aa28725603f SHA512 bf5d7aeb6f06e87f15ec8e911fb6436fb4e14839123db71488638f0e658034ad4ea8849ed83926af2fab9b50a7ef7410199d4a1102abc63c83d37bf1966a4afb
DIST libwps-0.4.9.tar.xz 673784 BLAKE2B 7843de719d6c2ff3152b216e808fc06798ae77e582a644fccd34667e409ec8a34764f302c484bf991e653cd1bb8eaca48f68861aa50e5c41ae41373b5b0c531d SHA512 8703e60837c525ab24e40bb3e2e25244e9f4d2231699373b28d86430f6d7f818a5ba32de08f19febdb4f917f1a90e3b27f95e7d3200ca2d4a9101c262b37a30d
diff --git a/app-text/libwps/libwps-0.4.10.ebuild b/app-text/libwps/libwps-0.4.10.ebuild
new file mode 100644
index 00000000000..b9ba610b623
--- /dev/null
+++ b/app-text/libwps/libwps-0.4.10.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Microsoft Works file word processor format import filter library"
+HOMEPAGE="https://sourceforge.net/p/libwps/wiki/Home/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~x86"
+IUSE="doc debug static-libs tools"
+
+RDEPEND="
+ dev-libs/librevenge
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_configure() {
+ econf \
+ $(use_enable debug) \
+ $(use_with doc docs) \
+ $(use_enable static-libs static) \
+ $(use_enable tools)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}